## volume

volume — Set volume on audio/raw streams

## Synopsis

                        GstVolume;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBaseTransform
                         +----GstAudioFilter
                               +----GstVolume

## Implemented Interfaces

GstVolume implements GstImplementsInterface, GstMixer and GstStreamVolume.

## Properties

      "mute"                     gboolean              : Read / Write
      "volume"                   gdouble               : Read / Write

## Description

The volume element changes the volume of the audio data.

### Example launch line

    1

    gst-launch -v -m audiotestsrc ! volume volume=0.5 ! level ! fakesink silent=TRUE

This pipeline shows that the level of audiotestsrc has been halved (peak values are around -6 dB and RMS around -9 dB) compared to the same pipeline without the volume element.

## Details

### GstVolume

    typedef struct _GstVolume GstVolume;

Opaque data structure.

## Property Details

### The `"mute"` property

      "mute"                     gboolean              : Read / Write

mute channel.

Default value: FALSE

### The `"volume"` property

      "volume"                   gdouble               : Read / Write

volume factor, 1.0=100%.

Allowed values: [0,10]

Default value: 1